## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global _description %{expand:
Helper module to easily develop special remotes for git annex. AnnexRemote
handles all the protocol stuff for you, so you can focus on the remote itself.
It implements the complete external special remote protocol and fulfils all
specifications regarding whitespaces etc. This is ensured by an excessive test
suite. Extensions to the protocol are normally added within hours after they
have been published.}

%global forgeurl https://github.com/Lykos153/AnnexRemote

Name:           python-annexremote
Version:        1.6.5
Release:        %autorelease
Summary:        Git annex special remotes made easy

%forgemeta

License:        GPL-3.0-only
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch

%description %_description

%package -n python3-annexremote
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n python3-annexremote %_description

%package doc
Summary:        Documentation for %{name}

%description doc
This package provides documentation for %{name}.

%prep
%forgesetup

# Remove shebang
sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' examples/git-annex-remote-directory
chmod -x examples/git-annex-remote-directory

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires %{?with_tests:-x test}

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_install
%pyproject_save_files -l annexremote

%check
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_check_import

%if %{with tests}
%{pytest}
%endif

%files -n python3-annexremote -f %{pyproject_files}
%doc README.md

%files doc
%license LICENSE
%doc docs/annexremote examples

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.6.5-2
- Rebuilt for Python 3.13

* Sat Apr 13 2024 Packit <hello@packit.dev> - 1.6.5-1
- Update to 1.6.5 upstream release
- Resolves: rhbz#2274925

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.4-3
- Assert that the .dist-info directory contains a license file

* Mon Nov 06 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.6.4-2
- chore: remove unused patches

* Sun Nov 05 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.6.4-1
- feat: update to 1.6.4 (fixes rh#2246635)

* Sun Nov 05 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.6.0-13
- chore: add packit

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-11
- Fix a warning in the tests on Python 3.12

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-10
- Patch out coverage dependencies

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-9
- Fix some test assertions again

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-8
- Update License to SPDX

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-7
- Tidy up some obsolete spec-file minutiae

* Wed Jun 28 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-6
- Update to versioneer 0.28 (fix RHBZ#2155216)

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.6.0-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.6.0-2
- Rebuilt for Python 3.11

* Sat Apr 02 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.6.0-1
- feat: to 1.6.0 (fixes rhbz#2064053)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 07 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.5.0-2
- feat: only apply patch for F35+

* Tue Sep 07 2021 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.5.0-1
- feat: init
## END: Generated by rpmautospec
